# Based on the Fedora .spec file for task 1.9.4
%define shortname task

Name:           taskwarrior
Version:        2.5.1
Release:        %mkrel 1
Summary:        A command-line to do list manager
Group:          Office
License:        MIT
URL:            http://taskwarrior.org
Source0:        http://taskwarrior.org/download/%{shortname}-%{version}.tar.xz
BuildRequires:  cmake
BuildRequires:  pkgconfig(uuid)


%description
Task is a command-line to do list manager. It has support for GTD functionality
and includes the following features: tags, colorful tabular output, reports and
graphs, lots of manipulation commands, low-level API, abbreviations for all
commands and options, multi-user file locking, recurring tasks.

%prep
%setup -qn %{shortname}-%{version}

%build
%cmake
make

%install
mkdir -p %{buildroot}%{_sysconfdir}/bash_completion.d
install -m 644 -T scripts/bash/task.sh %{buildroot}%{_sysconfdir}/bash_completion.d/task
cd build
make install DESTDIR=%{buildroot}
mv %{buildroot}%{_defaultdocdir}/%{shortname} %{buildroot}%{_defaultdocdir}/%{name}
rm %{buildroot}%{_defaultdocdir}/%{name}/INSTALL

%files
%doc %{_defaultdocdir}/%{name}/
%{_bindir}/task
%{_mandir}
%config(noreplace) %{_sysconfdir}/bash_completion.d

%changelog
* Sat Feb 02 2019 tex 2.5.1-1pclos2019
- create
